#include "draw.h"
#include "SDL_ttf.h"
const SDL_Color white = {255,255,255};
//const SDL_Color red = {255,0,0};

#define FOCUSN 1
#define FOCUSD 3

void Draw::draw(const char *word, float xoffset) {
//    printf("Start draw\n");
    SDL_FillRect(screen,NULL,0);
    SDL_Rect re;
    re.x = FOCUSN*screen->w/FOCUSD  -1;
    re.y = 0;
    re.w = 3;
    re.h = screen->h/3;

    SDL_FillRect(screen,&re,0xCC0000);
    re.y = 2*screen->h/3;;
    SDL_FillRect(screen,&re,0xCC0000);
    char wordprefix[200];
    int intxoffset = xoffset;
    int width=0, height;
    if (intxoffset>0) {
    strncpy(wordprefix,word,intxoffset);
    wordprefix[intxoffset]=0;
    TTF_SizeUTF8(text->huge, wordprefix, &width, &height);
    }
    int widthm=0;
    strncpy(wordprefix,&word[intxoffset],1);
    wordprefix[1]=0;
    if (wordprefix[0]) TTF_SizeUTF8(text->huge, wordprefix, &widthm, &height);
    float mlo = xoffset-intxoffset;
//    printf("offset:%f  io:%i  pre:%i  (%s) (%s)\n",xoffset,intxoffset,width,word,wordprefix);
    SDL_Surface *ts = TTF_RenderUTF8_Blended(text->huge, word, white);
    re.x = FOCUSN*screen->w/FOCUSD - (width + mlo*widthm);
    re.y = screen->h/2 - ts->h/2;
    SDL_BlitSurface(ts,NULL,screen,&re);
    SDL_FreeSurface(ts);

// draw red letter -- offset will be wrong because of kerning
/*
    if (mlo == 0.5) {
     ts = TTF_RenderUTF8_Blended(text->huge, wordprefix, red);
     re.x = FOCUSN*screen->w/FOCUSD - (mlo*widthm);
     re.y = screen->h/2 - ts->h/2;
     SDL_BlitSurface(ts,NULL,screen,&re);
     SDL_FreeSurface(ts);
    }
*/
//    text->drawtext(word,screen,screen->w/2,screen->h/2,white,text->huge,xoffset,500);
}
